METASOURCES = AUTO

INCLUDES = -I$(top_srcdir)/tderesources/kolab/shared -I$(top_srcdir) $(all_includes)

# The kolab wizard links to this library too
lib_LTLIBRARIES = libtdeabckolab.la

libtdeabckolab_la_SOURCES = resourcekolab.cpp contact.cpp
libtdeabckolab_la_LDFLAGS = $(all_libraries) -no-undefined
libtdeabckolab_la_LIBADD =  \
	$(top_builddir)/tderesources/kolab/shared/libresourcekolabshared.la \
	-ltderesources -ltdeabc

kde_module_LTLIBRARIES = tdeabc_kolab.la

noinst_HEADERS = resourcekolab.h contact.h

tdeabc_kolab_la_SOURCES = resourcekolab_plugin.cpp
tdeabc_kolab_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN) -no-undefined
tdeabc_kolab_la_LIBADD = libtdeabckolab.la

servicedir = $(kde_servicesdir)/tderesources/tdeabc
service_DATA = kolab.desktop

install-data-local: $(srcdir)/../uninstall.desktop
	$(mkinstalldirs) $(DESTDIR)$(servicedir)
	$(INSTALL_DATA) $(srcdir)/../uninstall.desktop $(DESTDIR)$(servicedir)/imap.desktop
